//------------------------------------------------------------------------------
//
//  npdata.h
//
//  ANTZ application based on NPE
//
//  Created by Shane Saxon on 2/19/10.
//  Copyright Saxon Digital 2010. All rights reserved.
//
//------------------------------------------------------------------------------

#ifndef npdata_H_
#define npdata_H_

// #define NP_LINUX_
#define NP_MSW_
// #define NP_OSX_

//#include "io/glfw.h"
#include <freeglut.h>


#include "data/nptypes.h"
#include "data/npmapfile.h"
#include "data/npmap.h"

// see the npmapfile.h
//------------------------------------------------------------------------------
// formats the data for import and export of CSV, TDT, XML and JSON
// we map all of our data into tables and describe the variable types separately
// this is done using a JSON schema formatted to be compatible with export and
// import to XML (office 2003 format), also generates native binary, CSV, TDT 
// and JSON files. GIS using GDAL for KML and OBJ files.
//------------------------------------------------------------------------------
//--- Functions ----------------------------------------------------------------

void npInitData (int argc, char* argv[], void* data);		// inits default
void npCloseData();

void* npDataGetDataRef();

int	npNewNodeID();

void npDataUpdate (void* dataRef);

char* npGetDataTypeName (int type);
char* npGetDataTypeDesc (int type);

void npDataPreset (int preset, void* dataRef);

void npDataCameraReset (NPplotPtr plot, void* dataRef);
void npDataCameraResetTwo (NPplotPtr plot, void* dataRef);
void npDataCameraResetThree (NPplotPtr plot, void* dataRef);
void npDataCameraResetFour (NPplotPtr plot, void* dataRef);

#endif

